# src/simple_hwp2pdf/standalone_converter.py
import os
from hwpx import Hwpx
from weasyprint import HTML

def convert_standalone(input_path: str, output_path: str):
    temp_html_path = os.path.splitext(input_path)[0] + ".html"
    try:
        hwp = Hwpx(input_path)
        hwp.save_as_html(temp_html_path)
        HTML(filename=temp_html_path).write_pdf(output_path)
    finally:
        if os.path.exists(temp_html_path):
            os.remove(temp_html_path)